Skip to main content
POST
/
api
/
v1
/
jobs
/
webhook
/
{webhook_path}
Trigger Webhook
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/jobs/webhook/{webhook_path} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parameters": {},
  "config_override": {},
  "metadata": {}
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/jobs/webhook/{webhook_path}"

payload = {
"parameters": {},
"config_override": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parameters: {}, config_override: {}, metadata: {}})
};

fetch('https://control-plane.kubiya.ai/api/v1/jobs/webhook/{webhook_path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "<string>",
  "execution_id": "<string>",
  "workflow_id": "<string>",
  "status": "<string>",
  "message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Headers

x-webhook-signature
string | null

Path Parameters

webhook_path
string
required

Body

application/json

Schema for webhook trigger payload

parameters
Parameters · object

Parameters to substitute in prompt template

config_override
Config Override · object | null

Optional config overrides for this execution

metadata
Metadata · object | null

Additional metadata for this webhook trigger

Response

Successful Response

Schema for job trigger response

job_id
string
required
execution_id
string
required
workflow_id
string
required
status
string
required
message
string
required